EDIT - task #7296

externalize redmine api key
02/26/2018 06:16 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.8

Severity: normal

Description

the redmine api key of the user admin is currently stored in the file cdmlib-ext/src/test/resources/services-external.properties which is

managed in git:

this file should not directly contain the api key but a placeholder, like e.g.:

registrationMessageService.redmine.adminUserApiKey={secret:registrationMessageService.redmine.admi

nUserApiKey}

The actual value could be stored e.g. in ~/.cdmLibrary/****.properties

Associated revisions

Revision 8ec6c¢716 - 06/27/2019 02:26 PM - Andreas Kohlbecker

ref #7296 removing all config files related to the RemineMessagingService since this has been dropped completely

History

#1 - 02/26/2018 06:16 PM - Andreas Kohlbecker
- Tags set to phycobank

- Project changed from PhycoBank to EDIT

- Category set to cdm

- Assignee set to Andreas Kohlbecker

- Severity set to normal

#2 - 02/26/2018 06:17 PM - Andreas Kohlbecker
- Due date set to 02/21/2018

- Start date changed from 02/26/2018 to 02/21/2018

#3 - 05/28/2019 01:42 PM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version set to Release 5.8

remove all these entries since the redmine communication system has been rejected

#4 - 06/27/2019 02:26 PM - Andreas Kohlbecker
- Status changed from New to Closed

- % Done changed from 0 to 100

all resources removed

#5 - 07/19/2019 03:55 PM - Andreas Miuller

- Category changed from cdm to cdmlib

this is not a cdm ticket, please change category if cdmlib is also not correct
#6 - 07/19/2019 04:12 PM - Andreas Kohlbecker

it is! The changes have been made in cdmlib-ext/src/test/resources/services-external.properties
